
package com.face;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.face.jsonBean.QiuTestRoot;
import com.tencentcloudapi.common.AbstractModel;

import com.tencentcloudapi.common.Credential;
import com.tencentcloudapi.common.profile.ClientProfile;
import com.tencentcloudapi.common.profile.HttpProfile;
import com.tencentcloudapi.common.exception.TencentCloudSDKException;
import com.tencentcloudapi.facefusion.v20220927.FacefusionClient;
import com.tencentcloudapi.facefusion.v20220927.models.*;

public class SuCaiTest
{
    public static void main(String [] args) {
        try{

          //  SecretId:AKIDufDXigQwFWgdNuCG7kCRTHsFPN8fy3yg
          //  SecretKey:kGZheSFrHVWKvHPJ0TikZAXjicJm490d

        //    SecretId:AKIDdGj28B1jKl03tY2YxEJH6jGe8VgvzpbA
        //    SecretKey:PaXHn6B50pgWEoPr7EXxCIDvTr6AGFA4


            // 实例化一个认证对象，入参需要传入腾讯云账户 SecretId 和 SecretKey，此处还需注意密钥对的保密
            // 代码泄露可能会导致 SecretId 和 SecretKey 泄露，并威胁账号下所有资源的安全性。以下代码示例仅供参考，建议采用更安全的方式来使用密钥，请参见：https://cloud.tencent.com/document/product/1278/85305
            // 密钥可前往官网控制台 https://console.cloud.tencent.com/cam/capi 进行获取
            Credential cred = new Credential("AKIDdGj28B1jKl03tY2YxEJH6jGe8VgvzpbA", "PaXHn6B50pgWEoPr7EXxCIDvTr6AGFA4");
            // 实例化一个http选项，可选的，没有特殊需求可以跳过
            HttpProfile httpProfile = new HttpProfile();
            httpProfile.setEndpoint("facefusion.tencentcloudapi.com");
            // 实例化一个client选项，可选的，没有特殊需求可以跳过
            ClientProfile clientProfile = new ClientProfile();
            clientProfile.setHttpProfile(httpProfile);
            // 实例化要请求产品的client对象,clientProfile是可选的
            FacefusionClient client = new FacefusionClient(cred, "ap-chengdu", clientProfile);
            // 实例化一个请求对象,每个接口都会对应一个request对象
            DescribeMaterialListRequest req = new DescribeMaterialListRequest();
            //必须传这个参数
            //测试API接口 at_1895073745956143104
            //二次API接口 at_1895077148660760576
            req.setActivityId("at_1902232245937274880");
            // 返回的resp是一个DescribeMaterialListResponse的实例，与请求对象对应
            DescribeMaterialListResponse resp = client.DescribeMaterialList(req);
            // 输出json格式的字符串回包


            String qtest=AbstractModel.toJsonString(resp);
            System.out.println(qtest);

            ObjectMapper mapper = new ObjectMapper();
            try {
                QiuTestRoot person = mapper.readValue(qtest, QiuTestRoot.class);
                System.out.println(person.getMaterialInfos().get(0).getMaterialFaceList().get(0).getFaceId()); // 输出: John Doe
            } catch (Exception e) {
                e.printStackTrace();
            }


        } catch (TencentCloudSDKException e) {
            System.out.println(e.toString());
        }
    }
}
